Bug 1158370 - list major common keyboard layouts first
Summary: list major common keyboard layouts first
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1300147 (view as bug list)
Depends On:
Blocks: 1626901
TreeView+ depends on / blocked
 
Reported: 2014-10-29 08:52 UTC by Jens Petersen
Modified: 2019-04-09 04:39 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1626901 (view as bug list)
Environment:
Last Closed: 2016-01-08 19:55:14 UTC


Attachments (Terms of Use)

Description Jens Petersen 2014-10-29 08:52:32 UTC
Description of problem:
Anaconda lists a *lot* of keyboard layouts: eg try searching for US. :)
I think it would be better to do a UI more like gnome-initial-setup
which shows the most common keyboard layouts first like:
US, JP, RU, DE, FR, GB, ES, IT, BR, etc.

There could also be a "Show more layouts" checkbox
to list more obscure layouts, but at least listing
the major common ones first would improve the UX
of international keyboard users.

Steps to Reproduce:
1. Run anaconda in Japan/ese with US keyboard
2. Try to find US keyboard layout (using JP layout).

Actual results:
Quite hard to find US or other layouts.

Expected results:
Easy enough to find US layout.

Comment 1 Fedora End Of Life 2015-11-04 14:58:37 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Pravin Satpute 2015-11-25 12:02:25 UTC
Is this issue fixed?
If not lets move to Fedora 23

Comment 3 Fedora End Of Life 2015-12-02 04:34:52 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Jens Petersen 2015-12-02 06:17:31 UTC
Re-opening I still think this is quite relevant for improving the installer UX for global users.

Comment 5 David Shea 2015-12-02 19:13:01 UTC
How do you suggest we determine what keyboard layouts are the most common?

Comment 6 David Shea 2016-01-28 15:03:28 UTC
*** Bug 1300147 has been marked as a duplicate of this bug. ***

Comment 7 Jens Petersen 2016-06-14 02:36:19 UTC
I think we can come up with an initial list and have it reviewed by
Fedora developers and community.

I feel the current UX is suboptimal.

At the very least US layout to be listed very visibly to most users,
since it is the most common and important globally.

Comment 8 Fedora End Of Life 2016-11-24 11:16:06 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Jens Petersen 2016-11-28 07:15:13 UTC
I still feel this is pretty low-hanging fruit and would be a good UX improvement - maybe i18n could help.

Comment 10 Fedora End Of Life 2017-02-28 09:38:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 11 Jens Petersen 2018-01-03 08:26:00 UTC
I still feel this is a good RFE and would improve the installer UX
for non-US users.


Note You need to log in before you can comment on or make changes to this bug.